Jump to content
Latest News: (loading..)
torinwalker

New UPS XML Shipping Module available

Recommended Posts

Hi, I have this installed with dimensional support and have a problem. In the admin section, with certain products, I'm getting spammed in the UPS Boxes used with no arrays, anyone know a solution to this? If I add 1 or 2 products, it works fine but if I add 20+, just get spammed and there is no content/array.

Share this post


Link to post
Share on other sites

I am working to install this module and am coming up with this error during shipping checkout:

 

Deprecated: Function ereg_replace() is deprecated in ....admin/modules.php on line 49

 

referring to the code I inserted from the install.txt:

 

if (tep_not_null($action)) {
   switch ($action) {
     case 'save':
       while (list($key, $value) = each($HTTP_POST_VARS['configuration'])) {
       if (is_array($value) ) {
         $value = implode( ", ", $value);
      $value = ereg_replace (", --none--", "", $value);
	    }
         tep_db_query("update " . TABLE_CONFIGURATION . " set configuration_value = '" . $value . "' where configuration_key = '" . $key . "'");
       }
       tep_redirect(tep_href_link(FILENAME_MODULES, 'set=' . $set . '&module=' . $HTTP_GET_VARS['module']));
       break;
     case 'install':

 

I have this error on the admin side:

 

Deprecated: Assigning the return value of new by reference is deprecated in ...admin/includes/classes/xml_5.php on line 25

 

Changing it to preg_replace I get a missing deliminator

Edited by BRD-75

Share this post


Link to post
Share on other sites

Well, I removed the extra line from the UPS XML mod :

$value = ereg_replace (", --none--", "", $value);

 

This is all the UPS choice mod uses:

if( is_array( $value ) ) $value = implode( ", ", $value);

 

And am now just getting two errors:

Admin side- in modules

Deprecated: Assigning the return value of new by reference is deprecated in public_html/admin/includes/classes/xml_5.php on line 25

 

Cust side- shipping checkout

Deprecated: Assigning the return value of new by reference is deprecated in public_html/includes/classes/xml_5.php on line 25

Edited by BRD-75

Share this post


Link to post
Share on other sites

I just attempted to install this module on 2.3.1 and got lost when I tried to insert the code into the respective files. It doesn't match up. Will there be a 2.3.1 version released soon? I am not a Ninja Code Monkey and am unable to modify the existing code to make it work.


End of line.

Share this post


Link to post
Share on other sites

Is anyone monitoring this module or is there another module that takes this one's place?

To use the UPSXML module (in basic mode) there is (if I remember correctly) just one single thing to change in the admin.

Share this post


Link to post
Share on other sites

Oh, I didn't realize that. When I saw that there were many files that needed to be replaced I dropped it. On your suggestion I tried it again.

 

I did NOT replace any files and made the one code change and it works like a charm. UPSXML is compatible with 2.3.1.


End of line.

Share this post


Link to post
Share on other sites

I installed this addon and thought it went rather smoothly. But now when I try to run a test order I get "There has been an error processing your credit card". It was working fine before the addon. Anyone have a similar experience and fix?

Share this post


Link to post
Share on other sites

Getting error with the new 1.4.0..Warning: constant() [function.constant]: Couldn't find constant UPSXML_Array in /home/xxxxxx/public_html/xxxxxx/includes/modules/shipping/upsxml.php on line 1043.

 

any help would be greatful..

 

Thanks in advance

"Jim"

Share this post


Link to post
Share on other sites

Getting error with the new 1.4.0..Warning: constant() [function.constant]: Couldn't find constant UPSXML_Array in /home/xxxxxx/public_html/xxxxxx/includes/modules/shipping/upsxml.php on line 1043.

 

any help would be greatful..

 

Thanks in advance

"Jim"

For some reason it started working, I think the problem was in the Disallowed Shipping Methods

Select the UPS services not to be offered. I clear all my check marks and the error went away..

"Jim"

Share this post


Link to post
Share on other sites

HI Folks,

 

I was wondering if you might be able to help me with a couple of issues that we have run across recently. I am using UPSXML 1.2.6 and I have run into an issue where I believe that the fuel surcharge is not being passed in the quote. We have straight retail quotes, and for the 30 lb box Next Day Air, the only difference from the UPS Online tool and the returned quote was the amount of the fuel surcharge. I also installed V 1.3.9 and am having the same issue where the quoted amount was significantly less than the actual cos with surcharge.

 

UPS charges the fuel surcharge as a separate line item in just about everything report I've seen, including the UPS Online tool. I was wondering if their protocol changed in their XML during the last price updates and the surcharge wasn't being added by the module?

 

How does everyone else handle the extra fuel surcharge? Any suggestions?

Edited by fourmat

Share this post


Link to post
Share on other sites

I have just gone through and done a good bit of experimentation and have found a few things concerning the UPS fuel surcharge. We have been missing the fuel surcharge in the shipping quotes returned by the UPSXML module. It appears that the problem is that for the customer type selection, (01, 03, or 04) we had selected 01, which is for a UPS customer that gets billed and has an account with daily pickup. Once I switched the customer type to either 03 (customer with no account or with no daily pickup), or 04 (retail counter customer) then the shipping quote and fuel surcharge are combined, and the quote is accurate. We are wanting just the complete standard retail shipping rate returned, and we don't have negotiated rates enabled or active.

 

On the UPS paper bill that comes in every week, they break out the fuel surcharge as a separate line item. I don't know why you would ever want to receive a quote where you didn't add in the surcharge. Is it possible that UPS changed their XML schema where, if you are an 01 customer, then the fuel surcharge gets delivered as a separate variable that the UPSXML module isn't picking up?

Share this post


Link to post
Share on other sites

I am working to install this module and am coming up with this error during shipping checkout:

 

Deprecated: Function ereg_replace() is deprecated in ....admin/modules.php on line 49

 

referring to the code I inserted from the install.txt:

 

if (tep_not_null($action)) {
   switch ($action) {
     case 'save':
       while (list($key, $value) = each($HTTP_POST_VARS['configuration'])) {
       if (is_array($value) ) {
         $value = implode( ", ", $value);
      $value = ereg_replace (", --none--", "", $value);
	    }
         tep_db_query("update " . TABLE_CONFIGURATION . " set configuration_value = '" . $value . "' where configuration_key = '" . $key . "'");
       }
       tep_redirect(tep_href_link(FILENAME_MODULES, 'set=' . $set . '&module=' . $HTTP_GET_VARS['module']));
       break;
     case 'install':

 

I have this error on the admin side:

 

Deprecated: Assigning the return value of new by reference is deprecated in ...admin/includes/classes/xml_5.php on line 25

 

Changing it to preg_replace I get a missing deliminator

 

Change to the following:

 

$value = preg_replace ("/, --none--/", "", $value);

Edited by deuce23

Share this post


Link to post
Share on other sites

Hello Jan & all,

Does anyone know where to find the latest update to UPSXML for MVS?

I'm running UPSXML_v1_2_6_for_MVS and I finally upgraded to RC2a.

There's only been a couple of issues here and there, but I don't want to lose any sales at this point.

Share this post


Link to post
Share on other sites

The latest version that I have is 1.1.4, part of the MVS 1.2 release. I'm not aware of anything since then. Where did you get that 1.2.6 version?

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

The latest version that I have is 1.1.4, part of the MVS 1.2 release. I'm not aware of anything since then. Where did you get that 1.2.6 version?

 

Regards

Jim

 

It's the dimensional support version for MVS

http://www.oscommerce.com/community/contributions,4129

dated 30 May 2007

About a dozen downloads back, I'm planning on getting my eyes checked one of these days myself.

 

I started a winmerge between the module files labeled;

$Id: upsxml.php,v 1.1.4 2004/12/19 13:30:00 sgo Exp $

Modified for MVS V1.0 2006/03/25 JCK/CWG

and

$Id: upsxml.php,v 1.3.7 2009/08/27 JanZ Exp $

 

Seems like there's some pretty cool stuff in the newer upsxml and we keep getting burned on odd shaped items like rakes and snow shovels. So my questions;

1. Anybody else interested in updating this module, or has already done this?

2. Is this the best place (thread) to work it out from?

3. The download I'm modifying is named UPS XML rates & services 1.3.8 [dated 2 Jun 2010] is that as good a place to start as any? Suggestions?

I'm willing to do the grunt work if I can get some help here and there.

Share this post


Link to post
Share on other sites

I've been meaning to do this for some time. Obviously I never found the time. I'll help if you run into something you can't figure out.

 

We shouldn't clutter up this thread with a new mod. Maybe start a thread in the module development forum?

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Hi everyone

 

I am posting this here in hope to find a solution (anything, any hint!) after weeks of searching... :(

I installed the UPSXML_v1_3_9 few months ago. it was working and now suddenly I am getting this error messages:

UPSXML Rates Error: : experienced by customer

-and this one:

Error from cURL: Error [7]: couldn't connect to host experienced by customer with id 3 on 2011-03-27 17:16:22

-and this:

Error from cURL: Error [28]: connect() timed out! experienced by customer with id 3 on 2011-03-27 16:29:59

 

This error happens when you try to checkout. It just doesn't go through.

 

I need help. PLEASE

Here is my website: http://chez-mehnoush.com

it's hosted on Godaddy (could be Godaddy problem? or UPS-XML or the code somewhere?)

 

Thank you in advance

Any help is much appreciated

M.

Share this post


Link to post
Share on other sites

I am getting the same errors on my site on checkout, but I am using V1.3.7. I contacted UPS to see if they changed anything on their end, and Godaddy as well. Godaddy claims they don't use a cURL proxy anymore and that we don't need one. I have code that says otherwise and this just started happening. So it's going to be fun to figure out who is causing the issue.

 

UPS raised the call to their tier 3 group. I am waiting to hear from them. UPS claimed they only changed a certificate last week that has been causing issues. I don't believe that should cause my store to react the way it is. We'll see. I spent several hours working on this issue, but cheers that USPS is working again after going down last night for backups or whatever in the middle of all this.

 

Will keep you posted.

 

~Vid

Hi everyone

 

I am posting this here in hope to find a solution (anything, any hint!) after weeks of searching... :(

I installed the UPSXML_v1_3_9 few months ago. it was working and now suddenly I am getting this error messages:

UPSXML Rates Error: : experienced by customer

-and this one:

Error from cURL: Error [7]: couldn't connect to host experienced by customer with id 3 on 2011-03-27 17:16:22

-and this:

Error from cURL: Error [28]: connect() timed out! experienced by customer with id 3 on 2011-03-27 16:29:59

 

This error happens when you try to checkout. It just doesn't go through.

 

I need help. PLEASE

Here is my website: http://chez-mehnoush.com

it's hosted on Godaddy (could be Godaddy problem? or UPS-XML or the code somewhere?)

 

Thank you in advance

Any help is much appreciated

M.

Share this post


Link to post
Share on other sites

I am getting the same errors on my site on checkout, but I am using V1.3.7. I contacted UPS to see if they changed anything on their end, and Godaddy as well. Godaddy claims they don't use a cURL proxy anymore and that we don't need one. I have code that says otherwise and this just started happening. So it's going to be fun to figure out who is causing the issue.

 

UPS raised the call to their tier 3 group. I am waiting to hear from them. UPS claimed they only changed a certificate last week that has been causing issues. I don't believe that should cause my store to react the way it is. We'll see. I spent several hours working on this issue, but cheers that USPS is working again after going down last night for backups or whatever in the middle of all this.

 

Will keep you posted.

 

~Vid

 

Hi V

After several weeks of having this problem I have just went through the steps provided in the document and re-uploaded all the files. It's now WORKING again! UPS was my only option for shipping and I was about to give up with everything.

 

Maybe this will help

M.

Share this post


Link to post
Share on other sites

Hi V

After several weeks of having this problem I have just went through the steps provided in the document and re-uploaded all the files. It's now WORKING again! UPS was my only option for shipping and I was about to give up with everything.

 

Maybe this will help

M.

 

Mamezy,

 

I just began having this problem at the end of March as well. It took me a while to find ANYTHING useful on this topic and above you mention you got it working. What files did you re-upload? Where are the steps that led you to the fix?

 

Thanks,

YPGirl

Share this post


Link to post
Share on other sites

I just installed v1_3_91 on my development server and it is working great. I don't believe I needed Godaddy code for this one. I am going to put it on my production server as well. If it doesn't work I will post. :D

 

~Vid

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×